<Container ...attributes @value={{@value.data.container}} @deviceSize={{@deviceSize}} class="price-offer">
  {{#if @value.data.title.text}}
    <div>
      <TextWithOptions class="offer-title" @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="h">{{!
        }}{{@value.data.title.text}}{{!
      }}</TextWithOptions>
    </div>
  {{/if}}

  {{#if @value.data.subtitle.text}}
    <div>
      <TextWithOptions class="offer-subtitle" @deviceSize={{@deviceSize}} @options={{@value.data.subtitle}}>{{!
        }}{{@value.data.subtitle.text}}{{!
      }}</TextWithOptions>
    </div>
  {{/if}}

  {{#if (or this.price.value this.price.details)}}
    <div class="d-flex align-items-center price-row {{page-col-class this.customClasses deviceSize=@deviceSize}}" style={{this.customPriceRowStyle}}>
      {{#if this.price.value}}
        <TextWithOptions class="offer-price me-2" @tag="div" @deviceSize={{@deviceSize}} @options={{@value.data.price}}>{{!
        }}{{#if
            (eq this.currency "currency.default")
          }}{{!
          }}{{this.price.value}}{{this.price.currency}}{{!
        }}{{else}}{{!
          }}{{t this.currency value=this.price.value}}{{!
        }}{{/if}}{{!
      }}</TextWithOptions>
      {{/if}}

      {{#if this.price.details}}
        <TextWithOptions class="offer-price-details" @tag="div" @deviceSize={{@deviceSize}} @options={{@value.data.priceDetails}}>{{!
        }}{{this.price.details}}{{!
      }}</TextWithOptions>
      {{/if}}
    </div>
  {{/if}}

  {{#if @value.data.button.name}}
    <div class="button-container {{page-col-class this.buttonContainerClasses deviceSize=@deviceSize}}">
      <Button class="offer-button" @value={{@value.data.button}} @space={{@space}} />
    </div>
  {{/if}}
</Container>